libxcursor (1:1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2019 10:42:44 +0800

libxcursor (1:1.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12
  * specify dh $@ --with autoreconf
  * use dh_missing --list-missing
  * update uscan paths in debian/watch

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Mar 2019 02:42:17 +0800

libxcursor (1:1.1.15-2) unstable; urgency=medium

  * Team upload.
  * Document availability of xcursor-themes and the x-cursor-theme
    alternative in the package description. Closes: #860503.
  * Standards-Version: 4.2.1
  * Update Vcs tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Nov 2018 04:08:26 +0800

libxcursor (1:1.1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    - contains patch for CVE-2017-16612
  * Standards-Version: 4.1.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Dec 2017 22:11:50 +0800

libxcursor (1:1.1.14-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix heap overflows when parsing malicious files (CVE-2017-16612)
    (Closes: #883792)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Dec 2017 08:45:47 +0100

libxcursor (1:1.1.14-3) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * debian/control Homepage: https://www.x.org
  * Standards-Version: 4.1.0

  [ Cyril Brulebois ]
  * debian/rules: Set PACKAGE to libxcursor1. Otherwise dh_makeshlibs is
    called with an incomplete package name for the udeb, which breaks
    reverse dependencies (Closes: #873041).

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Aug 2017 14:55:44 +0800

libxcursor (1:1.1.14-2) unstable; urgency=medium

  * Team upload.
    - remove Drew Parsons as Uploader.
  * Standards-Version: 4.0.1
  * Debian source format 3.0 (quilt)
    - remove debian/xsfbs (quilt patch functionality now standard)
    - update autogen.sh as debian patch, take from upstream git repo
  * Convert debian build system to dh
  * debhelper compatibility level 10
  * Remove libxcursor1-dbg: symbols are now provided by libxcursor1-dbgsym

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Aug 2017 13:25:32 +0800

libxcursor (1:1.1.14-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 7.
  * Simplify installing the manpage.  No need to go through dh_installmanpages
    when dh_install does the job.
  * Disable silent rules.
  * Use dpkg-buildflags.

 -- Julien Cristau <jcristau@debian.org>  Sun, 23 Jun 2013 19:55:42 +0200

libxcursor (1:1.1.13-1+deb7u1) wheezy-security; urgency=high

  * signedness bug & integer overflow in _XcursorFileHeaderCreate()
    [CVE-2013-2003]

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 May 2013 00:38:17 +0200

libxcursor (1:1.1.13-1) unstable; urgency=low

  * New upstream release.
  * Mark libxcursor-dev multi-arch: same.
  * Don't require root for debian/rules clean.

 -- Julien Cristau <jcristau@debian.org>  Fri, 13 Apr 2012 20:47:26 +0200

libxcursor (1:1.1.12-1) unstable; urgency=low

  * New upstream release.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 30 Jun 2011 12:48:34 +0200

libxcursor (1:1.1.11-3) unstable; urgency=low

  * Team upload.
  * Don't put debugging symbols for the udeb in libxcursor1-dbg.
  * Add build-arch and build-indep debian/rules target, and fix dependency for
    build-stamp.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Jun 2011 23:59:05 +0200

libxcursor (1:1.1.11-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Remove David Nusinow from Uploaders.
  * Bump Standards-Version to 3.9.2.

 -- Julien Cristau <jcristau@debian.org>  Sat, 11 Jun 2011 15:26:06 +0200

libxcursor (1:1.1.11-1) unstable; urgency=low

  * New upstream release.
  * Bump xutils-dev build-dep for new macros.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 06 Nov 2010 14:19:32 +0100

libxcursor (1:1.1.10-2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: libxcursor1-udeb.
  * Version/Bump some B-D to make sure the udeb gets its dependencies on
    the (recently-added) udebs rather than on the libraries:
     - libx11-dev
     - libxfixes-dev
     - libxrender-dev
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add myself to Uploaders.
  * Add ${misc:Depends} to non-udeb binaries, and wrap Depends.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 Mar 2010 05:05:33 +0100

libxcursor (1:1.1.10-1) unstable; urgency=low

  [ Julien Cristau ]
  * Drop the -1 debian revisions from build-depends.
  * Bump Standards-Version to 3.7.3.
  * Drop the XS- prefix from Vcs-* control fields.
  * Remove /usr/X11R6/lib/X11/icons from the cursor path (closes: #557292).
  * Kill vim modeline from debian changelog, it makes lintian angry.

  [ Brice Goglin ]
  * Add README.source, bump Standards-Version to 3.8.2.
  * Use updated xsfbs, closes: #538582.
  * Move -dbg package to section debug.

  [ Timo Aaltonen ]
  * New upstream release (closes: #554238).
  * Run autoreconf on build. Add build-deps on automake, libtool
    and xutils-dev.
  * Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
  * Bump Standards-Version to 3.8.3.
  * Drop pre-dependency on x11-common from libxcursor-dev. This was needed
    for upgrades from sarge.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Nov 2009 15:30:10 +0100

libxcursor (1:1.1.9-1) unstable; urgency=low

  * New upstream release.
  * Update URL in debian/copyright.
  * Add myself to Uploaders, and remove ISHIKAWA Mutsumi and Branden.
  * Replace deprecated Source-Version with binary:Version.

 -- Julien Cristau <jcristau@debian.org>  Sat, 25 Aug 2007 11:37:23 +0200

libxcursor (1:1.1.8-2) unstable; urgency=low

  * Upload to unstable.
  * Add XS-Vcs-Browser to debian/control.

 -- Julien Cristau <jcristau@debian.org>  Wed, 11 Apr 2007 12:39:57 +0200

libxcursor (1:1.1.8-1) experimental; urgency=low

  * New upstream release.
    + drop patch applied upstream.
  * Add XS-Vcs-Git in debian/control.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Feb 2007 10:07:38 +0100

libxcursor (1.1.7-4) unstable; urgency=low

  * Pull leak fixes from upstream (01_leak_fixes.diff)

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 16:41:34 -0400

libxcursor (1.1.7-3) unstable; urgency=low

  * Recompile for unstable's libxfixes3 3.0.1.

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Aug 2006 09:31:19 +1000

libxcursor (1.1.7-2) unstable; urgency=low

  * Bring X11R7.1 into unstable.

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Aug 2006 09:17:06 +1000

libxcursor (1.1.7-1) experimental; urgency=low

  * New upstream version (X11R7.1).
  * Install man pages with dh_installman.
  * Exclude .la and man files from dh_install.
  * Remove libxcursor1-dbg.install. Somehow debhelper just knows where
    to put the files (ooh, spooky).

 -- Drew Parsons <dparsons@debian.org>  Sat, 12 Aug 2006 22:39:03 +1000

libxcursor (1.1.5.2-6) UNRELEASED; urgency=low

  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.
  * Run dh_install w/ --list-missing.
  * Bump standards version to 3.7.2.0.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match
    the rest of Debian.
  * Bump debhelper compat to 5.
  * Fix dh_strip call to skip the -dbg package.
  * Remove daniels from uploaders.

 -- Andres Salomon <dilinger@debian.org>  Mon, 17 Jul 2006 01:20:47 -0400

libxcursor (1.1.5.2-5) unstable; urgency=low

  * Reorder makeshlib command in rules file so that ldconfig is run
    properly. Thanks Drew Parsons and Steve Langasek.

 -- David Nusinow <dnusinow@debian.org>  Wed, 19 Apr 2006 00:06:24 -0400

libxcursor (1.1.5.2-4) UNRELEASED; urgency=low

  * Append /usr/X11R6/lib/X11/icons to the icon search path for
    backwards compatibility.

 -- Steve Langasek <vorlon@debian.org>  Tue, 18 Apr 2006 16:27:59 -0700

libxcursor (1.1.5.2-3) unstable; urgency=low

  * Add libxfixes-dev to the depends of libxcursor-dev

 -- David Nusinow <dnusinow@debian.org>  Wed, 12 Apr 2006 20:52:24 -0400

libxcursor (1.1.5.2-2) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Mar 2006 22:44:31 -0500

libxcursor (1.1.5.2-1) experimental; urgency=low

  * First upload to Debian

 -- David Nusinow <dnusinow@debian.org>  Mon, 23 Jan 2006 22:43:51 -0500

libxcursor (1.1.5.2-0ubuntu2) dapper; urgency=low

  * Change dependency on x-common to x11-common.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 Jan 2006 18:24:22 +1100

libxcursor (1.1.5.2-0ubuntu1) dapper; urgency=low

  * New upstream release.
  * Repackage in line with all the other X libraries.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 12 Dec 2005 15:14:52 +1100

xcursor (1.1.5-0ubuntu1) breezy; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 16 Nov 2005 10:09:16 +1100

xcursor (1.1.4-0ubuntu5) breezy; urgency=low

  * Bump Build-Depends on x11proto-core-dev, libx11-dev and libxfixes-dev
    high enough that we don't see _XOPEN_SOURCE again.
  * Remove libc6-dev | libc-dev dependency from libxcursor-dev (???), change
    x-dev to x11proto-core-dev.
  * Stop installing libXcursor.la.
  * Clean up libxcursor-dev.install.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 22 Jul 2005 23:48:13 +1000

xcursor (1.1.4-0ubuntu4) breezy; urgency=low

  * Make the xrender build-dep versioned, to rid us of libXrender.la.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 19 Jul 2005 14:54:02 +1000

xcursor (1.1.4-0ubuntu3) breezy; urgency=low

  * Rebuild with the current libXrender.

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 15 Jul 2005 15:52:32 +0200

xcursor (1.1.4-0ubuntu2) breezy; urgency=low

  * Add missing build-deps on libxfixes-dev and make it correctly
    versioned so we will have the xfixes.pc file in the correct place.

 -- Tollef Fog Heen <tfheen@canonical.com>  Thu, 30 Jun 2005 16:54:15 +0200

xcursor (1.1.4-0ubuntu1) breezy; urgency=low

  * New upstream release.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 30 Jun 2005 04:36:17 +1000

xcursor (1.1.3-1ubuntu2) breezy; urgency=low

  * Add Pre-Depends on x-common to libxcursor-dev to avoid files getting stuck
    in /usr/X11R6 thanks to symlink treachery.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 19 May 2005 00:50:18 +1000

xcursor (1.1.3-1ubuntu1) breezy; urgency=low

  * Move files from /usr/X11R6 to /usr.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 17 May 2005 19:20:26 +0200

xcursor (1.1.3-1) unstable; urgency=medium

  * Urgency due to fix for release-critical bug.

  * New upstream version.
    + Invokes AC_SUBST() on X_CFLAGS and X_LIBS, unbreaking xcursor.pc file.
      (Closes: #241249)

  * Add versioning to libxcursor1's shlibs information, since Xcursor 1.1.2
    added a member to the XcursorImages structure and added the
    XcursorImagesSetName() and XcursorLibraryPath() functions.

  * Disable upstream autoconf check for the XFIXES library, as this library is
    not packaged for Debian yet, and upstream supports no option to the
    configure script to avoid checking (neverthless, the source is designed to
    be buildable without it).  Regenerate related files with autogen.sh
    script.

  * Modify AC_PATH_XTRA invocation to take advantage of Debian's enhancements
    (from autoconf 2.59-3); don't use the macro's defaults, which look for the
    Xt library which we don't use.  Instead search for the X11 library, the
    Xlib.h header file, and the XInternAtom() function, all of which are
    actually used by the Xcursor library.  Regenerate related files with the
    autogen.sh script.

  * Update config.guess, config.sub, and ltmain.sh with libtoolize --force
    --copy.

  * Update package descriptions.

 -- Branden Robinson <branden@debian.org>  Mon, 19 Apr 2004 15:39:41 -0500

xcursor (1.0.2-5) unstable; urgency=low

  * Make package compatible with the XFree86 4.3.0 package reorganization.
    - debian/control
      + package build-depends on x-dev and libx11-dev instead of xlibs-dev
      + libxcursor-dev depends on x-dev and libx11-dev instead of xlibs-dev

  * Remove README.Debian; the release of xfree86 4.3.0-1 to unstable renders
    advice about installing these xcursor packages in conjunction with
    experimental XFree86 4.3.0 packages unecessary.
    - debian/README.Debian

  * Give source package a section ("devel", just like xft) to shut up
    complaints from dpkg-genchanges.
    - debian/control

  * Remove AC_PATH_X and subsequent bailout logic from configure.ac; the
    mechanism used to find the Xrender suffices to configure the build
    environment.  Run aclocal && automake --foreign && autoconf.
    - configure
    - Makefile.in
    - config.h.in
    - configure.ac
    - aclocal.m4

 -- Branden Robinson <branden@debian.org>  Fri, 12 Mar 2004 12:51:55 -0500

xcursor (1.0.2-4) unstable; urgency=medium

  * urgency due to fix for FTBFS

  * Set priority of libxcursor1-dbg package to extra (resolves override
    disparity).
    - debian/control

  * Restore build-dependency on pkg-config; AM_MAINTAINER_MODE doesn't prevent
    the ./configure script from running during a package build, and the
    ./configure script does indeed invoke pkg-config (fixes FTBFS).
    (Closes: #225433)
    - debian/control

 -- Branden Robinson <branden@debian.org>  Tue, 30 Dec 2003 11:46:15 -0500

xcursor (1.0.2-3) unstable; urgency=low

  * Update copyright file to refer to new canonical upstream URL for source
    archive.
    - debian/copyright

  * Elaborate and clarify README.Debian as regards Daniel Stone's experimental
    xfree86 packages.
    - debian/README.Debian

  * Set AM_MAINTAINER_MODE because we do not want automake running during
    Debian package builds.
    - configure.ac

  * Run aclocal && automake --foreign && autoconf to resynchronize with
    change to configure.ac.
    - Makefile.in
    - aclocal.m4
    - configure

  * Stop passing arguments to dh_makeshlibs; there has not yet been a version
    of xcursor released to Debian that has not been forwards-compatible.
    - debian/rules

  * Bump package's standards-version to 3.6.1; no changes necessary.
    - debian/control

  * Clean up package's build-dependencies and -dev package's dependencies.
    - debian/control:
      + add versioning of (>= 0.4.12) to build-dependency on cdbs for proper
        support of debugging libraries
      + tweak versioned build-dependency on debhelper (>> 4.0.0) to be a >=
        instead
      + drop versioning of build-dependency on xlibs-dev; libXcursor1 links
        only against libX11, thus no versioning is necessary
      + drop build-dependencies on autotools-dev and pkg-config since we now
        use AM_MAINTAINER_MODE
      + drop libxcursor-dev's dependency on ${shlibs:Depends}; it's not
        necessary
      + add dependencies on xlibs-dev and libxrender-dev to libxcursor-dev

  * Remove extraneous and possibly misleading wording in libxcursor1-dbg's
    extended description.
    - debian/control

  * Add Daniel Stone to list of uploaders.
    - debian/control

 -- Branden Robinson <branden@debian.org>  Mon, 13 Oct 2003 00:12:31 -0500

xcursor (1.0.2-2) unstable; urgency=low

  * add missing Build-Depends: pkg-config, closes: #198584

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Tue, 24 Jun 2003 16:05:57 +0900

xcursor (1.0.2-1) unstable; urgency=low

  * I'm back and Initial official upload release.
  * libraries moved into /usr/lib/{,debug} instead of
    /usr/X11R6/lib/{,debug} (adapt Debian policy section 12.8.7.)
  * drop conflicts: xlibs* (>> 4.3.0-0), xlibs* (<< 4.3.0-0pre1v1)
    because versioned AND conflicts are not supported.

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Tue,  3 Jun 2003 00:35:13 +0900

xcursor (1.0.2-0beta4) unstable; urgency=low

  * only conflicts: xlibs* (>> 4.3.0-0), xlibs* (<< 4.3.0-0pre1v1)

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Fri, 30 May 2003 01:35:26 +0900

xcursor (1.0.2-0beta3) unstable; urgency=low

  * migrate to use cdbs
  * add Build-Depends: cdbs
  * remove Daniel Stone from uploaders (because he is not DD, yet)
  * Bump Standards-Version: 3.5.10

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Wed, 28 May 2003 03:10:50 +0900

xcursor (1.0.2-0beta2) unstable; urgency=low

  * fix to install Xcursor.h into correct place

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Sat, 24 May 2003 03:55:44 +0900

xcursor (1.0.2-0beta1) unstable; urgency=low

  * Initial Beta Release.

 -- ISHIKAWA Mutsumi <ishikawa@debian.org>  Thu, 22 May 2003 02:31:37 +0900
